AirNav RadarBox
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
 


Author Topic: Permission Error /run/mlat-client.pif  (Read 345 times)

0 Members and 1 Guest are viewing this topic.

DZpower

  • New Member
  • *
  • Posts: 29
Permission Error /run/mlat-client.pif
« on: December 24, 2022, 06:21:09 PM »
I'm unable to get MLAT to work on rbfeeder
i see lots of errors
Permission denied: '/run/mlat-client.pid'
 File "/usr/bin/mlat-client", line 108, in <module
Permission denied: '/run/mlat-client.pid'

i did try to purge and re-install but no luck

DZpower

  • New Member
  • *
  • Posts: 29
Re: Permission Error /run/mlat-client.pif
« Reply #1 on: December 24, 2022, 06:25:50 PM »
i also see the following when running command to check stattus
Not starting mlat-client daemon, disabled via /etc/default/mlat-client

Runway 31

  • Moderator
  • Hero Member
  • *****
  • Posts: 32518
Re: Permission Error /run/mlat-client.pif
« Reply #2 on: December 25, 2022, 09:53:38 AM »
Are you using the new MLAT client,

From another thread

Please note that I have been advised as follows that a new MLAT client is available which should fix the previous issue

Package mlat-client is updated in our repository using the latest published version from mutability (0.2.11), but ours is "1:0.2.13" just because we need to change version number to 'force' apt-get to understand that is a new version (the code is the same).
Should work for every new installation by now.

Note that the packages are updated only for the latest (current) version of raspbian OS (AKA Bullseye), not for older versions (buster). If we have A LOT of users running older OS's, we can create a package for that.....but my recommendation is to update the operating system.


Alan
« Last Edit: December 25, 2022, 09:55:46 AM by Runway 31 »

jayant

  • New Member
  • *
  • Posts: 2
Re: Permission Error /run/mlat-client.pif
« Reply #3 on: December 25, 2022, 02:36:35 PM »
For those running older versions of Raspbian, compiling the MLAT client from source also fixes this problem. There's another thread here where ABCD567 has detailed the process to compile from source.

abcd567

  • Hero Member
  • *****
  • Posts: 712
  • CYYZ - Toronto
Re: Permission Error /run/mlat-client.pif
« Reply #4 on: December 26, 2022, 12:17:38 PM »
For those running older versions of Raspbian, compiling the MLAT client from source also fixes this problem. There's another thread here where ABCD567 has detailed the process to compile from source.

I dont understand why RB24 developers dont build and add to their repsitory, the mlat-client ver 0.2.13 for Buster and Stretch? It is very simple task and wont take more than an hour of developer's time.

DZpower

  • New Member
  • *
  • Posts: 29
Re: Permission Error /run/mlat-client.pif
« Reply #5 on: December 27, 2022, 09:39:46 PM »
For those running older versions of Raspbian, compiling the MLAT client from source also fixes this problem. There's another thread here where ABCD567 has detailed the process to compile from source.

can you provide the instruction on how to fix this problem

DZpower

  • New Member
  • *
  • Posts: 29
Re: Permission Error /run/mlat-client.pif
« Reply #6 on: December 27, 2022, 09:40:44 PM »
For those running older versions of Raspbian, compiling the MLAT client from source also fixes this problem. There's another thread here where ABCD567 has detailed the process to compile from source.

how to install the new MLAT ?
May i have the new instructions

can you provide the instruction on how to fix this problem

abcd567

  • Hero Member
  • *****
  • Posts: 712
  • CYYZ - Toronto
Re: Permission Error /run/mlat-client.pif
« Reply #7 on: December 28, 2022, 10:17:48 AM »
@DZpower

Which OS version are you using, Bullseye, Buster, or Stretch.

Post output of following command. It will reveal the OS version

lsb_release  -sc   


.